Bug 925761 - libhocr: Does not support aarch64 in f19 and rawhide
Summary: libhocr: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libhocr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Oron Peled
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 924938
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:59 UTC by Dennis Gilmore
Modified: 2013-05-11 08:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-11 08:14:38 UTC
Type: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 00:59:30 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  libhocr appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/libhocr/libhocr-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Oron Peled 2013-03-24 08:26:32 UTC
1. Upstream is unresponsive for about 4 years now.

2. Added autoreconf in %prep:
   * Build for f19: http://koji.fedoraproject.org/koji/buildinfo?buildID=405557
   * Build for rawhide failes:
     - http://koji.fedoraproject.org/koji/buildinfo?buildID=405544
     - Due to bug #924938 -- waiting for its resolution (added dependency)

3. Please test f19 build with aarm64

Comment 2 Oron Peled 2013-03-27 10:08:13 UTC
Bug #924938 closed. Now libhocr build for rawhide is done as well:
 http://koji.fedoraproject.org/koji/buildinfo?buildID=405544

Please close if ARCH==aarm64 is OK now.

Comment 3 Oron Peled 2013-05-11 08:14:38 UTC
Nobody shouts, looks good. Closing.


Note You need to log in before you can comment on or make changes to this bug.